Subject: linux-next: manual merge of the security-testing tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 22 May 2009 15:29:01 +1000

Hi James,

Today's linux-next merge of the security-testing tree got a conflict in
fs/exec.c between commits a44ddbb6d8a8ffe4e34e417048dfdd8f3dd1de4f ("Make
open_exec() and sys_uselib() use may_open(), instead of duplicating its
parts") and 6e8341a11eb21826b7192d0bb88cb5b44900a9af ("Switch open_exec()
and sys_uselib() to do_open_filp()") from Linus' tree and commit
b9fc745db833bbf74b4988493b8cd902a84c9415 ("integrity: path_check update")
from the security-testing tree.

I used the version of these conflicts from Linus' tree as I assume that
the changes to may_open() from the latter patch are sufficient.  Please
check and let me know (or merge Linus' tree and do the resolution for
yourself :-)).
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/